Skip to content

Get



GET /api/v1/service_manage/{service_uuid}/get

Overview

Get a single Service List information.

Route Parameters

Parameter Name Type Required Description
service_uuid string Y The uuid corresponding to the service.
Example: xxxx
Allow empty string: False

Query Parameters

Parameter Name Type Required Description
originStr string Pass 1 for original string, 0 for structured data. Default is 1.
Allow empty: False

Parameter Details

Request Body Structure Description

Parameter Name type Required Description
service_uuid string Y The unique uuid of the Service List, prefixed with sman_.
originStr string N Whether the returned serviceCatelog should be the original string. 1 for yes, 0 for no. Default is 1.

Response Body Structure Description

Parameter Name type Description
serviceCatelog string,dict The original string or structured data of the Service List.
service string Service name.
type string Service type.

Request Example

curl 'https://openapi.truewatch.com/api/v1/service_manage/sman_xxxx32/get?originStr=0' \
  -H 'Content-Type: application/json' \
  -H 'DF-API-KEY: <DF-API-KEY>' \
  --compressed

Response

{
    "code": 200,
    "content": {
        "colour": "#40C9C9",
        "createAt": 1693798688,
        "creatorInfo": {
            "acntWsNickname": "",
            "email": "xxx",
            "iconUrl": "",
            "name": "Alibaba Cloud Monitoring Data Source",
            "username": "xxx"
        },
        "service": "test",
        "serviceCatelog": {
            "Docs": [
                {
                    "link": "https://docs.truewatch.com",
                    "name": "truewatch",
                    "provider": "example_yun"
                },
                {
                    "link": "https://dataflux-func.com/doc",
                    "name": "func",
                    "provider": "example_yun"
                }
            ],
            "Related": {
                "AppId": "a138bcb0_47ef_11ee_9d75_31ea50b9d85a",
                "DashboardUUIDs": [
                    "dsbd_xxxx32",
                    "dsbd_xxxx32"
                ],
                "Tags": [
                    "mysql",
                    "test"
                ]
            },
            "Repos": [
                {
                    "link": "https://www.truewatch.com",
                    "name": "truewatch",
                    "provider": "example_yun"
                },
                {
                    "link": "https://dataflux-func.com",
                    "name": "func",
                    "provider": "example_yun"
                }
            ],
            "Team": {
                "colour": "#40C9C9",
                "oncall": [
                    {
                        "emails": [
                            "[email protected]",
                            "[email protected]"
                        ],
                        "name": "example_yun",
                        "type": "email"
                    },
                    {
                        "mobiles": [
                            "xxxxxxx5786",
                            "xxxxxxx4231"
                        ],
                        "name": "zhuyun",
                        "type": "mobile"
                    },
                    {
                        "name": "test",
                        "slack": "#test",
                        "type": "slack"
                    }
                ],
                "service": "jinlei_1",
                "team": "group_xxxx32",
                "type": "db"
            }
        },
        "type": "db",
        "updateAt": 1693798688,
        "updatorInfo": {
            "acntWsNickname": "",
            "email": "xxx",
            "iconUrl": "",
            "name": "Alibaba Cloud Monitoring Data Source",
            "username": "xxx"
        },
        "uuid": "sman_xxxx32"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-1255F7E2-9035-4696-B7EE-9DDBB2BC13D2"
}